@charset "UTF-8";
/* CSS Document */


/* =================================
shop-info
================================= */

.shop-info {
  margin-bottom: 60px;
}
.shop-info__wrap {
  display: flex;
  align-items: stretch;
  gap: 100px;
  margin-bottom: 60px;
}
.shop-info__img {
  flex: 1 1 0;
  max-width: 650px;
  min-width: 0;
}
.shop-info__img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  display: block;
}
.shop-info__body {
  flex: 1 1 0;
  max-width: 460px;
  min-width: 0;
  display: flex;
  flex-direction: column;
  height: 100%;
}
.shop-info__ttl {
  margin-bottom: 60px;
}
.shop-info__table {
  width: 100%;
  table-layout: fixed;
  flex: 1;
}
.shop-info__table tr {
  border-bottom: 1px solid #000;
}
.shop-info__table tr:last-child {
  border-bottom: none;
}
.shop-info__table th,
.shop-info__table td {
  line-height: 1.4;
}
.shop-info__table th {
  background: #eaf6fc;
  padding: 10px;
  width: 90px;
  text-align: center;
}
.shop-info__table td {
  padding: 20px;
}

.shop-info__btns {
  display: flex;
  gap: 20px;
  justify-content: center;
}
.shop-info__btn {
  position: relative;
  display: block;
  width: 100%;
  max-width: 485px;
  padding: 25px;
  border: 2px solid #2aaae2;
  color: #2aaae2;
  text-align: center;
  line-height: 1;
  transition: opacity 0.3s ease;
}
/* 線 */
.shop-info__btn::before {
  content: "";
  position: absolute;
  right: 20px;
  top: 50%;
  width: 35px;
  height: 2px;
  background: currentColor;
  transform: translateY(-50%);
  transition: width 0.3s ease;
}
/* 矢印 */
.shop-info__btn::after {
  content: "";
  position: absolute;
  right: 21px;
  top: 50%;
  width: 9px;
  height: 9px;
  border-top: 2px solid currentColor;
  border-right: 2px solid currentColor;
  transform: translateY(-50%) rotate(45deg);
}

@media (hover: hover) and (pointer: fine) {
  .shop-info__btn:hover {
    background: #2aaae2;
    color: #fff;
    opacity: 1;
  }
}

@media screen and (max-width: 1100px) {
    .shop-info__wrap {
    gap: 60px;
   }
   .shop-info__ttl {
    margin-bottom: 40px;
    }
}

@media screen and (max-width: 1000px) {
    .shop-info__wrap {
    align-items: flex-start;
    gap: 40px;
    }
    .shop-info__ttl {
    margin-bottom: 20px;
    }
}

@media screen and (max-width: 900px) {
  .shop-info__wrap {
    flex-direction: column;
    align-items: center;
  }
  .shop-info__img,.shop-info__body {
    max-width: 500px;
  }
}

@media screen and (max-width: 500px) {
  .shop-info {
    margin-bottom: 80px;
 }
  .shop-info__wrap {
    margin-bottom: 40px;
  }
  .shop-info__table th {
    padding: 5px;
    font-size: 1.3rem;
    width: 70px;
  }
  .shop-info__table td {
    font-size: 1.4rem;
  }
  .shop-info__btns {
    flex-direction: column;
  }
}


/* =================================
shop-map
================================= */

.shop-map {
    margin-bottom: 120px;
}
.shop-map iframe {
    width: 100%;
    height: 600px;
}

@media screen and (max-width: 768px) {
  .shop-map {
    margin-bottom: 60px;
  }
  .shop-map iframe {
      height: 400px;
  }
}

@media screen and (max-width: 500px) {
  .shop-map iframe {
      height: 330px;
  }
}


/* =================================
shop-other
================================= */

.shop-other {
  padding: 80px 0;
  background: #f7f8fa;
}
.shop-other__ttl {
  margin-bottom: 40px;
  text-align: center;
}
.shop-other__list {
  display: flex;
  gap: 30px;
  justify-content: center;
}
.shop-other__item {
  width: calc((100% - 60px) / 3);
}
.shop-other__link {
  display: block;
  color: #000;
  text-decoration: none;
}
.shop-other__img {
  margin-bottom: 14px;
}

.shop-other__img img {
  width: 100%;
  display: block;
}
.shop-other__name {
  line-height: 1.5;
}

@media screen and (max-width: 768px) {
  .shop-other {
      padding: 40px 0;
  }
  .shop-other__ttl {
    margin-bottom: 30px;
  }
  .shop-other__list {
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }
  .shop-other__item {
    width: 100%;
    max-width: 500px;
  }
}